Release Notes for Synology NFS Plug-in for VMware VAAI

Description:

To enable VMware VAAI on your NFS datastores, you need to install Synology NFS Plug-in on each ESXi host. Synology NFS Plug-in can be installed directly on an ESXi server from the command line, or through the VMware Update Manager (VUM). For detailed instructions, please refer to the README file.

System Requirements:

  1. Synology NAS running DSM 5.1 or later

Version: 1.2-1008


(2019-06-25)
  1. Supports VMware ESXi 6.7.
  2. Fixed an issue where patch files cannot be uploaded via VUM.
  3. Fixed an issue where the VAAI functions may fail when mount path is not complete.

Version: 1.1-1004


(2017-06-27)
  1. Added support for "Native Snapshot Support" that could increase the I/O performance of VMware Horizon View with Btrfs volumes.
  2. Fixed an issue where files might be lost while performing vMotion among NAS on vSphere 6.0 or later.
  3. Fixed an issue where copying virtual machines with vSphere might fail while a non-Synology NFS volume is mounted.

Known Issues

  1. ''--no-sig-check'' is required in the command line to install the plug-in on VMware vSphere 5.x or later.

Version: 1.0-0001


(2014-12-09)
  • This is the initial release of NFS plug-in for VMware VAAI.